-
    Creating demo data that require looking for accounts
-
    !python {model: ir.model.data} : |
        import time
        vals = {
            'name': 'Requirements analysis and specification',
            'user_id': ref('base.user_root'),
            'date': time.strftime('%Y-%m-%d'),
            'unit_amount': 2.00,
            'product_id': ref('product.product_product_1'),
            'product_uom_id': ref('product.product_uom_hour'),
            'account_id': ref('analytic.analytic_administratif'),
            'amount': -60.00,
            'is_timesheet': True,
        }
        self._update(cr, uid, 'account.analytic.line', 'hr_timesheet', vals, 'working_hours_requirements')
        vals = {
            'name': 'Design and specification',
            'user_id': ref('base.user_root'),
            'date': time.strftime('%Y-%m-%d'),
            'unit_amount': 1.00,
            'product_id': ref('product.product_product_1'),
            'product_uom_id': ref('product.product_uom_hour'),
            'account_id': ref('analytic.analytic_administratif'),
            'amount': -30.00,
            'is_timesheet': True,
        }
        self._update(cr, uid, 'account.analytic.line', 'hr_timesheet', vals, 'working_hours_design')
        vals = {
            'name': 'Coding and module testing',
            'user_id': ref('base.user_root'),
            'date': time.strftime('%Y-%m-%d'),
            'unit_amount': 3.00,
            'product_id': ref('product.product_product_1'),
            'product_uom_id': ref('product.product_uom_hour'),
            'account_id': ref('analytic.analytic_administratif'),
            'amount': -90.00,
            'is_timesheet': True,
        }
        self._update(cr, uid, 'account.analytic.line', 'hr_timesheet', vals, 'working_hours_coding')
        vals = {
            'name': 'Integration and system testing',
            'user_id': ref('base.user_root'),
            'date': time.strftime('%Y-%m-%d'),
            'unit_amount': 1.00,
            'product_id': ref('product.product_product_1'),
            'product_uom_id': ref('product.product_uom_hour'),
            'account_id': ref('analytic.analytic_administratif'),
            'amount': -30.00,
            'is_timesheet': True,
        }
        self._update(cr, uid, 'account.analytic.line', 'hr_timesheet', vals, 'working_hours_testing')
        vals = {
            'name': 'Delivery and maintenance',
            'user_id': ref('base.user_root'),
            'date': time.strftime('%Y-%m-%d'),
            'unit_amount': 1.00,
            'product_id': ref('product.product_product_1'),
            'product_uom_id': ref('product.product_uom_hour'),
            'account_id': ref('analytic.analytic_administratif'),
            'amount': -30.00,
            'is_timesheet': True,
        }
        self._update(cr, uid, 'account.analytic.line', 'hr_timesheet', vals, 'working_hours_maintenance')
